Subject: Re: linux-next: build failure after merge of the final tree (mfd tree related)

From: 함명주 <[email-masked]>
Date: Mon, 21 Mar 2011 08:12:53 +0000 (GMT)

> Sender : Stephen Rothwell<[email-masked]>
> Date : 2011-03-21 11:59 (GMT+09:00)
> Title : linux-next: build failure after merge of the final tree (mfd tree related)
> 
> Hi Sam,
> 
> After merging the final tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/mfd/max8997-irq.c:170: error: unknown field 'bus_lock' specified in initializer
> drivers/mfd/max8997-irq.c:170: warning: initialization from incompatible pointer type
> drivers/mfd/max8997-irq.c:171: error: unknown field 'bus_sync_unlock' specified in initializer
> drivers/mfd/max8997-irq.c:171: warning: initialization from incompatible pointer type
> drivers/mfd/max8997-irq.c:172: error: unknown field 'mask' specified in initializer
> drivers/mfd/max8997-irq.c:172: warning: initialization from incompatible pointer type
> drivers/mfd/max8997-irq.c:173: error: unknown field 'unmask' specified in initializer
> drivers/mfd/max8997-irq.c:173: warning: initialization from incompatible pointer type
> 
> Caused by commit d7d21d394c9d ("mfd: Add MAX8997/8966 IRQ control feature").
> 
> The presence of these fields depends on
> CONFIG_GENERIC_HARDIRQS_NO_DEPRECATED not being set.
> 
> I have reverted that commit for today.

Hello Stephen,

I've just submitted a corrected patch that works with
CONFIG_GENERIC_HARDIRQS_NO_DEPRECATED being either set or unset.
Because it appears that we still have targets with deprecated functions,
I left the deprecated functions working as well as the new ones.

Thank you.

- MyungJoo.
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
> 
>

 MyungJoo Ham (함명주)
Mobile Software Platform Lab,
Digital Media and Communications (DMC) Business
Samsung Electronics
cell: +82-10-6714-2858 / office: +82-31-279-8033